package vo

type ReBillSelectionTaskPreview struct {
	ProductId     int64   `json:"productId"`
	MainImage     string  `json:"mainImage"`
	ProductName   string  `json:"productName"`
	ProductPrice  float64 `json:"productPrice"`
	SelectionName string  `json:"selectionName"`

	EnterpriseId      string `json:"enterpriseId"`
	SubAccountId      int64  `json:"subAccountId"`
	SelectionId       string `json:"selectionId"`
	SelectionPlatform int64  `json:"selectionPlatform"`
	SelectionStatus   int64  `json:"selectionStatus"`
	CreatedAt         string `json:"createdAt"`
	TaskDdl           string `json:"taskDdl"`
	//SampleNum         int64   `json:"sampleNum"` // 样品数量
	Reward float64 `json:"reward"` // 悬赏池总金额
	//EnrollNum         int64   `json:"enrollNum"` // 报名数量
	//ChooseNum         int64   `json:"chooseNum"` // 已选数量
	CashAmount  float64 `json:"cashAmount"` // 实际兑现金额
	CreatorName string  `json:"creatorName"`
}
