package vo

type ReLogisticsTalent struct {
	TaskId             string         `json:"taskId"`
	LogisticsId        int64          `json:"logisticsId"`        // 物流id
	CompanyName        string         `json:"companyName"`        // 快递公司
	LogisticsNumber    string         `json:"logisticsNumber"`    // 快递单号
	DeliveryTime       string         `json:"deliveryTime"`       // 发货时间
	SignedTime         string         `json:"signedTime"`         // 签收时间
	Operator           string         `json:"operator"`           // 操作人
	TalentPostAddrSnap string         `json:"talentPostAddrSnap"` // 收获地址快照
	ReTalentPreview    *TalentPreview `json:"reTalentPreview"`    // 达人信息
}

type TalentPreview struct {
	TalentId    string `json:"talentId"`
	TalentPhoto string `json:"talentPhoto"`
	TalentName  string `json:"talentName"`
	Account     string `json:"account"`
	PlatformId  int64  `json:"platformId"`
	Location    string `json:"location"`
	Gender      string `json:"gender"`
	TaskId      string `json:"taskId"`
}
