package vo

type SelectionSearchParam struct {
	//EnterpriseId      string `json:"enterprise_id"`
	//SubAccountId      int64  `json:"sub_account_id"`
	Page              int   `json:"page"`
	PageSize          int   `json:"page_size"`
	SelectionPlatform int64 `json:"selection_platform"` // 平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	SelectionStatus   int64 `json:"selection_status"`   // 任务状态，1-8分别代表创建中、待审核、审核通过、待支付、已支付、执行中、失效、已结案
	FreeFlag          int64 `json:"free_flag"`          // 领样策略  0全部 1有 2无
	RewardFlag        int64 `json:"reward_flag"`        // 悬赏策略 0全部 1有 2无
	Order             int64 `json:"order"`              // 排序 0降序 1升序（默认0）

	SelectionId string `json:"selection_id"` // 任务ID
	Others      string `json:"others"`       // 任务标题/任务ID/创建者
}
