package http_model

type CodeLoginRequest struct {
	User     string `json:"user"`
	Password string `json:"password"`
}

type CodeLoginData struct {
	Token                string `json:"token"`
	Username             string `json:"username"`
	Role                 string `json:"role"`
	JobName              string `json:"job_name"`
	AccountId            int64  `json:"account_id"`
	SubAccountId         int    `json:"sub_account_id"`
	WorkspacePermission  string `json:"workspace_permission"`
	TaskcenterPermission string `json:"taskcenter_permission"`
	SectaskPermission    string `json:"sectask_permission"`
	FinancialPermission  string `json:"financial_permission"`
	UsercenterPermission string `json:"usercenter_permission"`
	OperatePermission    string `json:"operate_permission"`
}

func NewCodeLoginRequest() *CodeLoginRequest {
	return new(CodeLoginRequest)
}
func NewCodeLoginResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(CodeLoginData)
	return resp
}
