package http_model

type GetTalentWithdrawInfoRequest struct {
	WithdrawId string `json:"withdraw_id"`
}

type TalentWithdrawResponse struct {
	Name         string `json:"name"`
	IdcardNumber string `json:"idcard_number"`
	BankNumber   string `json:"bank_number"`
	PhoneNumber  string `json:"phone_number"`
}

func NewGetTalentWithdrawInfoRequest() *GetTalentWithdrawInfoRequest {
	return new(GetTalentWithdrawInfoRequest)
}

func NewGetTalentWithdrawInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(TalentWithdrawResponse)
	return resp
}
