package http_model

type UpdateJobInfoRequest struct {
	JobName              string `json:"job_name"`
	JobDetail            string `json:"job_detail"`
	WorkspacePermission  string `json:"workspace_permission"`
	TaskcenterPermission string `json:"taskcenter_permission"`
	SectaskPermission    string `json:"sectask_permission"`
	FinancialPermission  string `json:"financial_permission"`
	UsercenterPermission string `json:"usercenter_permission"`
	OperatePermission    string `json:"operate_permission"`
	AccountID            int64  `json:"account_id"`
	JobID                int    `json:"job_id"`
}

type UpdateJobInfoResponse struct {
	JobName string `json:"job_name"`
	JobID   int    `json:"job_id"`
}

func NewUpdateJobInfoRequest() *UpdateJobInfoRequest { return new(UpdateJobInfoRequest) }
func NewUpdateJobInfoResponse() *CommonResponse {
	return new(CommonResponse)
}
