package entity

type Supplier struct {
	SupplierID      int64  `gorm:"column:supplier_id"`      // 服务商ID
	SupplierName    string `gorm:"column:supplier_name"`    // 服务商名称
	PhoneNumber     string `gorm:"column:phone_number"`     // 手机号
	BusinessLicense string `gorm:"column:business_license"` // 营业执照url
	USCI            string `gorm:"column:usci"`             // 统一社会信用代码
	CompanyName     string `gorm:"column:company_name"`     // 公司名称
	IDFront         string `gorm:"column:id_front"`         // 身份证人像面url
	IDBack          string `gorm:"column:id_back"`          // 身份证国徽面url
	IDNumber        string `gorm:"column:id_number"`        // 身份证号
	Name            string `gorm:"column:name"`             // 姓名
	UserID          int64  `gorm:"column:user_id"`          // 用户表中的用户ID
	SupplierType    int64  `gorm:"column:supplier_type"`    // 服务商用户类型，1为个人PR，2为机构
}

func (Supplier) TableName() string {
	return "younggee_supplier"
}
