package vo

type LocalDraftParam struct {
	EnterpriseId  string `json:"enterprise_id"`
	SubAccountId  int64  `json:"sub_account_id"`
	Page          int    `json:"page"`
	PageSize      int    `json:"page_size"`
	LocalPlatform int64  `json:"local_platform"` // 平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	LocalType     int64  `json:"local_type"`     // 项目类型 1全流程 2专项

	Others string `json:"others"` // 任务标题/任务ID/创建者
}
