package vo

type LocalSearchParam struct {
	//EnterpriseId  string `json:"enterprise_id"`
	//SubAccountId  int64  `json:"sub_account_id"`
	Page          int   `json:"page"`
	PageSize      int   `json:"page_size"`
	LocalType     int64 `json:"local_type"` // 项目类型，1全流程项目，2专项项目
	LocalPlatform int64 `json:"local_platform"`
	LocalStatus   int64 `json:"local_status"` // 任务状态，1-10代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、失效、执行中、已结案
	LocalForm     int64 `json:"local_form"`   // 任务形式，1-2分别代表线下探店,素材分发
	ContentType   int64 `json:"content_type"` // 内容形式, 1图文 2视频
	Order         int64 `json:"order"`        // 排序 0降序 1升序（默认0）

	LocalId string `json:"local_id"` // 任务ID
	Others  string `json:"others"`   // 任务标题/任务ID/创建者
}
