package vo

type ReBillProjectTaskPreview struct {
	ProductId    int64   `json:"productId"`
	MainImage    string  `json:"mainImage"`
	ProductName  string  `json:"productName"`
	ProductPrice float64 `json:"productPrice"`
	ProjectName  string  `json:"projectName"`

	EnterpriseId    string  `json:"enterpriseId"`
	SubAccountId    int64   `json:"subAccountId"`
	ProjectId       string  `json:"projectId"`
	ProjectPlatform int64   `json:"projectPlatform"`
	ProjectStatus   int64   `json:"projectStatus"`
	ProjectForm     int64   `json:"projectForm"`
	ContentType     int64   `json:"contentType"`
	EstimatedCost   float64 `json:"estimatedCost"` // 应付金额
	CashAmount      float64 `json:"cashAmount"`    // 实际结算金额
	//NeedReview      int64   `json:"needReview"`
	//NeedQuality     int64   `json:"needQuality"`
	//NeedCalculate   int64   `json:"needCalculate"`
	CreatorName string `json:"creatorName"`
	ProjectType int64  `json:"projectType"`
	CreatedAt   string `json:"createdAt"`
	Tools       string `json:"tools"`
}
