package vo

type ReBillSelectionInfo struct {
	ProductId    int64   `json:"productId"`
	MainImage    string  `json:"mainImage"`
	ProductName  string  `json:"productName"`
	ProductPrice float64 `json:"productPrice"`

	SelectionId       string  `json:"selectionId"`
	SelectionPlatform int64   `json:"selectionPlatform"`
	BillStatus        int64   `json:"billStatus"`
	CreatedAt         string  `json:"createdAt"`
	TaskDdl           string  `json:"taskDdl"`
	Reward            float64 `json:"reward"`       // 悬赏池总金额
	ActualAmount      float64 `json:"actualAmount"` // 实际兑现金额
	CreatorName       string  `json:"creatorName"`
}
