package vo

type ReProjectTaskPreview struct {
	ProductId    int64   `json:"productId"`
	MainImage    string  `json:"mainImage"`
	ProductName  string  `json:"productName"`
	ProductPrice float64 `json:"productPrice"`
	ProjectName  string  `json:"projectName"`

	EnterpriseId    string  `json:"enterpriseId"`
	SubAccountId    int64   `json:"subAccountId"`
	ProjectId       string  `json:"projectId"`
	ProjectPlatform int64   `json:"projectPlatform"`
	ProjectStatus   int64   `json:"projectStatus"`
	EstimatedCost   float64 `json:"estimatedCost"` // 任务成本
	ProjectForm     int64   `json:"projectForm"`
	ContentType     int64   `json:"contentType"`
	NeedFilter      int64   `json:"needFilter"`    // 待筛选
	NeedReview      int64   `json:"needReview"`    // 待审稿
	NeedQuality     int64   `json:"needQuality"`   // 待质检
	NeedCalculate   int64   `json:"needCalculate"` // 待结算
	NeedDelivery    int64   `json:"needDelivery"`  // 待发货
	NeedReceive     int64   `json:"needReceive"`   // 待签收
	Received        int64   `json:"received"`      // 已签收
	CreatorName     string  `json:"creatorName"`
	ProjectType     int64   `json:"projectType"`
	CreatedAt       string  `json:"createdAt"`
	Tools           string  `json:"tools"`
}
