package vo

type StoreUpdateParam struct {
	StoreId       int64        `json:"store_id"`
	StoreName     string       `json:"store_name"`     // 门店名称
	StoreCategory string       `json:"store_category"` // 门店类目（/分隔）
	StoreType     int64        `json:"store_type"`     // 门店类型，1单门店，2连锁门店
	StoreLocation string       `json:"store_location"` // 门店地址
	StoreDetail   string       `json:"store_detail"`   // 门店特点
	StoreLink     string       `json:"store_link"`     // 分销链接
	StorePhotos   []StorePhoto `json:"store_photos"`   // 图片列表
}
