package gorm_model

type YounggeePlatformInvoiceInfo struct {
	PlatformInvoiceId int    `gorm:"column:platform_invoice_id;type:int(11);primary_key;AUTO_INCREMENT" json:"platform_invoice_id"`
	EnterpriseName    string `gorm:"column:enterprise_name;type:varchar(255);comment:企业名称" json:"enterprise_name"`
	EnterpriseTax     string `gorm:"column:enterprise_tax;type:varchar(255);comment:企业税号" json:"enterprise_tax"`
	Address           string `gorm:"column:address;type:varchar(255);comment:注册地址" json:"address"`
	Phone             string `gorm:"column:phone;type:varchar(255);comment:注册电话" json:"phone"`
	BankName          string `gorm:"column:bank_name;type:varchar(255);comment:注册银行名称" json:"bank_name"`
	BankAccount       string `gorm:"column:bank_account;type:varchar(255);comment:银行账号" json:"bank_account"`
	Project           string `gorm:"column:project;type:varchar(255);comment:项目名称" json:"project"`
}

func (m *YounggeePlatformInvoiceInfo) TableName() string {
	return "younggee_platform_invoice_info"
}
