package gorm_model

type YounggeeSubAccount struct {
	SubAccountId   int    `gorm:"column:sub_account_id"`   //子账号ID
	PhoneNumber    string `gorm:"column:phone_number"`     //电话号
	SubAccountName string `gorm:"column:sub_account_name"` //子账号名称
	JobId          int    `gorm:"column:job_id"`           //岗位ID
	EnterpriseId   string `gorm:"column:enterprise_id"`    //企业ID
	AccountStatus  int    `gorm:"column:account_status"`   //帐号状态1为正常，2为已停用
	SubAccountType int    `gorm:"column:sub_account_type"` //子账号类型，1为商家端子账号，2为管理后台子账号
	SuperAdminId   int64  `gorm:"column:super_admin_id"`   //管理后台子账号创建者ID
	UserId         int64  `gorm:"column:user_id"`          //用户ID
}

func (m *YounggeeSubAccount) TableName() string {
	return "younggee_sub_account"
}
