package http_model

type CreateSubAccountRequest struct {
	SubAccountName string `json:"sub_account_name"`
	Password       string `json:"password"`
	Job            int    `json:"job_id"`
	PhoneNumber    string `json:"phone_number"`
	Code           string `json:"code"`
	AccountID      int64  `json:"account_id"`
}

type YounggeeSubAccountsRes struct {
	PhoneNumber    string `json:"phone_number"`
	SubAccountName string `json:"sub_account_name"`
	JobID          int    `json:"job_id"`
}

func NewCreateSubAccountRequest() *CreateSubAccountRequest {
	return new(CreateSubAccountRequest)
}

func NewCreateSubAccountResponse() *CommonResponse {
	resp := new(CommonResponse)
	return resp
}
