package http_model

type GetRechargeInfoRequest struct {
	RechargeId string `json:"rechargeId"`
}

type RechargeInfoResponse struct {
	RechargeAmount float64 `json:"recharge_amount"`
	Operator       string  `json:"operator"`
	MainAccount    string  `json:"main_account"`
}

func NewGetRechargeInfoRequest() *GetRechargeInfoRequest {
	return new(GetRechargeInfoRequest)
}

func NewGetRechargeInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(RechargeInfoResponse)
	return resp
}
