package http_model

type GetWithDrawInfoRequest struct {
	Withdrawid string `json:"withdraw_id"`
}

type WithDrawInfoResponse struct {
	WithdrawAmount float64 `json:"withdraw_amount"`
	Operator       string  `json:"operator"`
	AmountPayable  float64 `json:"amount_payable"`
}

func NewGetWithDrawInfoRequest() *GetWithDrawInfoRequest {
	return new(GetWithDrawInfoRequest)
}

func NewGetWithDrawInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(WithDrawInfoResponse)
	return resp
}
