package http_model

import "youngee_m_api/model/gorm_model"

type JobDetailRequest struct {
	PageSize  int   `json:"page_size"`
	PageNum   int   `json:"page"`
	AccountID int64 `json:"account_id"`
}

type JobDetailResponse struct {
	JobInfo gorm_model.YounggeeJob //岗位详情
	Creater string                 `json:"creater"`
}

type JobData struct {
	Job   []*JobDetailResponse `json:"jobdata"`
	Total string               `json:"total"`
}

func NewJobDetailRequest() *JobDetailRequest {
	return new(JobDetailRequest)
}

func NewJobDetailResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(JobData)
	return resp
}
