package http_model

type JobShowRequest struct {
	JobId string `json:"job_id"`
}

type GetJobshowData struct {
	JobId                int    `json:"job_id"`                //岗位ID
	JobName              string `json:"job_name"`              //岗位名称
	JobDetail            string `json:"ob_detail"`             //岗位描述
	WorkshopPermission   string `json:"workshop_permission"`   //工作台权限
	TaskcenterPermission string `json:"taskcenter_permission"` //任务中心权限
	SectaskPermisson     string `json:"sectask_permisson"`     //商单中心权限
	FinancialPermission  string `json:"financial_permission"`  //财务结算权限
	UsercenterPermission string `json:"usercenter_permission"` //用户中心权限
	OperatePermission    string `json:"operate_permission"`    //运营中心权限
	AccountId            int64  `json:"account_id"`
}

func NewJobShowRequest() *JobShowRequest {
	return new(JobShowRequest)
}
func NewJobShowResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetJobshowData)
	return resp
}
